/*
 * modbus-utils - name.c
 *	version 0.1.0
 *
 * Copyright (C) 2010  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>

#include <modbus.h>

int modbus_name_to_addr(struct modbus_addr *addr, const char *name)
{
	int bus;
	unsigned long a;
	int ret;

	ret = sscanf(name, "%d:%ld", &bus, &a);
	if (ret == 2) {
		addr->bus = bus;
		addr->addr = a;
		return 0;
	}
	addr->bus = 0;
	ret = sscanf(name, "%ld", &a);
	if (ret == 1) {
		addr->addr = a;
		return 0;
	}
	return -EINVAL;
}

int modbus_addr_to_name(struct modbus_addr *dev, char **devpath)
{
	return -ENOSYS;
}
